import { ThemeOptions } from '@mui/material';
interface iThemeCustomVars {
    appPadding: {
        x: number;
        y: number;
    };
    toolMenu: {
        height: number;
    };
    customPalette: {
        [key in string]: string;
    };
}
declare module '@mui/material/styles' {
    interface Theme {
        customVars: iThemeCustomVars;
    }
    interface ThemeOptions {
        customVars: iThemeCustomVars;
    }
}
declare const themeConfig: ThemeOptions;
declare const theme: import("@mui/material").Theme;
export { themeConfig, theme };
